#ifndef _UART_H
#define _UART_H

#include <avr/io.h>


#define BAUD 115200UL

#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)   // clever runden
#define BAUD_REAL (F_CPU/(16*(UBRR_VAL+1)))     // Reale Baudrate
#define BAUD_ERROR ((BAUD_REAL*1000)/BAUD-1000) // Fehler in Promille 
 
#define STXD PD3
#define SRXD PD2

void suart_init(void);
char suart_getc(void);
void suart_puts (char *s);
void suart_putc(char c);
uint8_t uart_getc(void);


void uart_putc(char c);
void uart_puts (char *s);
void uart_init (void);


#endif

